<?php

/**
 * @file
 * Contains Drupal\search_api_page\SearchApiPageInterface.
 */

namespace Drupal\search_api_page;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Search page entities.
 */
interface SearchApiPageInterface extends ConfigEntityInterface {

  /**
   * Return the path.
   *
   * @return string
   */
  public function getPath();

  /**
   * Return the path.
   *
   * @return string
   */
  public function getIndex();

  /**
   * Return the limit per page.
   *
   * @return int
   */
  public function getLimit();

  /**
   * Return the searched fields.
   *
   * @return array
   */
  public function getSearchedFields();

  /**
   * Retrieves a list of all available fulltext fields.
   *
   * @return string[]
   *   An options list of fulltext field identifiers mapped to their prefixed
   *   labels.
   */
  public function getFullTextFields();
}
